Package tigase.server.amp

# Class ActionAbstract

java.lang.Object
tigase.server.amp.ActionAbstract

All Implemented Interfaces:
  `ActionIfc`, `AmpFeatureIfc`

Direct Known Subclasses:
  `Alert`, `Deliver`, `Drop`, `Error`, `Notify`, `Store`

@ConfigAliases(@ConfigAlias(field="security",alias="amp-security-level")) public abstract class ActionAbstract extends Object implements ActionIfc
Created: May 1, 2010 7:44:17 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AMP_SECURITY_LEVEL`
  Deprecated.
  `static final String`
  `AMP_SECURITY_LEVEL_DEFAULT`
  Deprecated.
  `protected ActionResultsHandlerIfc`
  `resultsHandler`
  `static final String`
  `SECURITY_PROP_KEY`

  ### Fields inherited from interface tigase.server.amp.AmpFeatureIfc

  `ACTION_ATT, AMP_MSG_REPO_CLASS_PARAM, AMP_MSG_REPO_CLASS_PROP_KEY, AMP_MSG_REPO_URI_PARAM, AMP_MSG_REPO_URI_PROP_KEY, AMP_XMLNS, CONDITION_ATT, EXPIRED, FROM_CONN_ID, MSG_OFFLINE_PROP_KEY, OFFLINE, SESSION_JID, TO_CONN_ID, TO_RES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionAbstract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Packet`
  `prepareAmpPacket(Packet packet, Element rule)`
  `protected void`
  `removeTigasePayload(Packet packet)`
  `void`
  `setActionResultsHandler(ActionResultsHandlerIfc resultsHandler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.server.amp.ActionIfc

  `execute`

  ### Methods inherited from interface tigase.server.amp.AmpFeatureIfc

  `getName`

- ## Field Details

  - ### AMP_SECURITY_LEVEL

    @Deprecated public static final String AMP_SECURITY_LEVEL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### AMP_SECURITY_LEVEL_DEFAULT

    @Deprecated public static final String AMP_SECURITY_LEVEL_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SECURITY_PROP_KEY

    public static final String SECURITY_PROP_KEY
    See Also:
      - Constant Field Values

  - ### resultsHandler

    protected ActionResultsHandlerIfc resultsHandler

- ## Constructor Details

  - ### ActionAbstract

    public ActionAbstract()

- ## Method Details

  - ### setActionResultsHandler

    public void setActionResultsHandler(ActionResultsHandlerIfc resultsHandler)
    Specified by:
      `setActionResultsHandler` in interface `ActionIfc`

  - ### prepareAmpPacket

    protected Packet prepareAmpPacket(Packet packet, Element rule) throws PacketErrorTypeException
    Throws:
      `PacketErrorTypeException`

  - ### removeTigasePayload

    protected void removeTigasePayload(Packet packet)